minfbypid.d(1m)

NAME
minfbypid.d - minor faults by process name. Uses DTrace.

SYNOPSIS
minfbypid.d

DESCRIPTION
minfbypid.d is a DTrace OneLiner to a report the number of minor faults by process name. This is based on a script from DExplorer. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # minfbypid.d

FIELDS

PID process ID

CMD process name

MINFAULTS
    number of minor faults in this sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
minfbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)